%% SwanOneSed model 
% Output of SwanOne is used to calculate the sediment transport.

clc
clear
close all
fclose('all');

% removal of file and directory 
if exist('norm_end','file')==2 ;
    delete('norm_end') ;
end
if exist('Working Directory','dir')==7 ;
    rmdir('Working Directory','s') ;
end

% creating structure for all the information
handles=struct;
handles.swan1dsed.fig1=figure('Menubar','none','Name','SwanOneSed','NumberTitle','off','Tag','swanonesed','units','normalized','outerposition',[0 0 1 1],'color',[0.8 0.8 0.8]);
% to fill screen use: figure('units','normalized','outerposition',[0 0 1 1])

% 'Welcome...' text
%handles.swan1dsed.modeltext1=annotation(handles.swan1dsed.fig1,'textbox','EdgeColor','none','FontSize',20,'String','Welcome to','Position',[0.2 -0.22 0.4 0.5]);
%handles.swan1dsed.modeltext2=annotation(handles.swan1dsed.fig1,'textbox','EdgeColor','none','FontSize',40,'String','SwanOneSed','Position',[0.32 -0.47 1 0.7]);
%handles.swan1dsed.modeltext3=annotation(handles.swan1dsed.fig1,'textbox','EdgeColor','none','FontSize',7,'String','Copyright 2015 TUDelft - Hydraulic Engineering','Position',[0.60 -0.65 1 0.7]);

% logo
im=imread('swanonesed_logo.jpg');
clf
axes('position',[0.4,0.1,0.6,0.25])
imshow(im)

%% 'File' button
handles.swan1dsed.menu.file.m=uimenu(handles.swan1dsed.fig1,'label','File');

% 'Open...' button to open existing project
handles.swan1dsed.menu.file.open.m=uimenu(handles.swan1dsed.menu.file.m,'label','Open...','Enable','On','Callback',@open_clbk_str);

% 'Exit' button to leave model
handles.swan1dsed.menu.file.exit.m=uimenu(handles.swan1dsed.menu.file.m,'label','Exit','Callback','close all','Separator','on');

%% 'Input' button
handles.swan1dsed.menu.input.m=uimenu(handles.swan1dsed.fig1,'label','Input','Enable','Off');

% 'Parameters' button
handles.swan1dsed.menu.input.parameters.m=uimenu(handles.swan1dsed.menu.input.m,'label','Parameters','Callback',@input_parameters_clbk);

%% 'Computation' button
% 'Computation' button to activate the calculation
handles.swan1dsed.menu.computation.m=uimenu(handles.swan1dsed.fig1,'label','Computation','Enable','Off');
handles.swan1dsed.menu.computation.start=uimenu(handles.swan1dsed.menu.computation.m,'label','Start','Callback',@computation_clbk);

%% 'Output' button
handles.swan1dsed.menu.output.m=uimenu(handles.swan1dsed.fig1,'label','Output','Enable','Off');

% 'Plots' button 
handles.swan1dsed.menu.output.plots=uimenu(handles.swan1dsed.menu.output.m,'label','Plots','Callback',@output_plots_clbk);

% 'Tables' button
handles.swan1dsed.menu.output.tables=uimenu(handles.swan1dsed.menu.output.m,'label','Tables','Callback',@output_tables_clbk);

%% 'Description' button
handles.swan1dsed.menu.description.m=uimenu(handles.swan1dsed.fig1,'label','Description','Callback',@description_clbk);

%% 'Help' button
handles.swan1dsed.menu.help.m=uimenu(handles.swan1dsed.fig1,'label','Help','Callback',@help_clbk);

% Subscribe values to structure and set to Userdata and GUIdata property
handles.swan1dsed.folder=cd;
set(handles.swan1dsed.fig1,'UserData',handles);
guidata(handles.swan1dsed.fig1,handles);

