function input_parameters_clbk(varargin)

% obtaining the input parameters

% find structure and handles
swansed=findobj('Tag','swanonesed');
handles=get(swansed,'Userdata');

% create figure
handles.input.fig3=figure(311);clf;
set(handles.input.fig3,'Name','SwanOneSed - Parameters','Units','Centimeters','Position',...
    [16 8 12 12],'Menubar','none','Numbertitle','Off','Tag','Input','Color',[0.95 0.95 0.95]);

%% 'Densities' field
h1=uibuttongroup('Parent',handles.input.fig3,'Units','Centimeters','Position',...
    [0.2 9.4 8 2.4],'Title','Densities','SelectionChangeFcn',@changeALL);

% density of water
handles.input.textbox01a=uicontrol('Parent',h1,'Style','text','String','rho_w','Units',...
    'Centimeters','Position',[0.3 1 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.textbox01b=uicontrol('Parent',h1,'Style','text','String','kg/m^3','Units',...
    'Centimeters','Position',[4 1 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.editbox01=uicontrol('Parent',h1,'Style','Edit','Units','Centimeters',...
    'Position',[1.5 1.1 2 0.5],'String','1030','Enable','On','BackGroundColor',[1 1 1]);
handles.input.denwater=str2num(get(handles.input.editbox01,'String'));

% density of sediment
handles.input.textbox02a=uicontrol('Parent',h1,'Style','text','String','rho_s','Units',...
    'Centimeters','Position',[0.3 0.3 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.textbox02b=uicontrol('Parent',h1,'Style','text','String','kg/m^3','Units',...
    'Centimeters','Position',[4 0.3 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.editbox02=uicontrol('Parent',h1,'Style','Edit','Units','Centimeters',...
    'Position',[1.5 0.4 2 0.5],'String','2650','Enable','On','BackGroundColor',[1 1 1]);
handles.input.densediment=str2num(get(handles.input.editbox02,'String'));

%% 'Sediment' field
h2=uibuttongroup('Parent',handles.input.fig3,'Units','Centimeters','Position',...
    [0.2 5 8 4.2],'Title','Sediment','BackGroundColor',[0.95 0.95 0.95],'SelectionChangeFcn',@changeALL);

% 'd50' field
handles.input.textbox03a=uicontrol('Parent',h2,'Style','text','String','d_50','Units',...
    'Centimeters','Position',[0.3 2.8 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.textbox03b=uicontrol('Parent',h2,'Style','text','String','m','Units',...
    'Centimeters','Position',[4 2.8 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.editbox1=uicontrol('Parent',h2,'Style','Edit','Units','Centimeters',...
    'Position',[1.5 2.9 2 0.5],'String','0.0003','BackGroundColor',[1 1 1]);
handles.input.d50=str2num(get(handles.input.editbox1,'String'));

% 'd90' field
handles.input.textbox04a=uicontrol('Parent',h2,'Style','text','String','d_90','Units',...
    'Centimeters','Position',[0.3 2.0 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.textbox04b=uicontrol('Parent',h2,'Style','text','String','m','Units',...
    'Centimeters','Position',[4 2.0 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.editbox2=uicontrol('Parent',h2,'Style','Edit','Units','Centimeters',...
    'Position',[1.5 2.1 2 0.5],'String','0.0005','BackGroundColor',[1 1 1]);
handles.input.d90=str2num(get(handles.input.editbox2,'String'));

% 'porosity' field
handles.input.textbox05a=uicontrol('Parent',h2,'Style','text','String','n','Units',...
    'Centimeters','Position',[0.3 1.2 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.textbox05b=uicontrol('Parent',h2,'Style','text','String','-','Units',...
    'Centimeters','Position',[4 1.2 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.editbox3=uicontrol('Parent',h2,'Style','Edit','Units','Centimeters',...
    'Position',[1.5 1.3 2 0.5],'String','0.40','BackGroundColor',[1 1 1]);
handles.input.porosity=str2num(get(handles.input.editbox3,'String'));

% 'bed roughnes' field
handles.input.textbox06a=uicontrol('Parent',h2,'Style','text','String','r','Units',...
    'Centimeters','Position',[0.3 0.4 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.textbox06b=uicontrol('Parent',h2,'Style','text','String','m','Units',...
    'Centimeters','Position',[4 0.4 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.input.editbox4=uicontrol('Parent',h2,'Style','Edit','Units','Centimeters',...
    'Position',[1.5 0.5 2 0.5],'String','0.06','BackGroundColor',[1 1 1]);
handles.input.r=str2num(get(handles.input.editbox4,'String'));

%% 'Waves' field
h3=uibuttongroup('Parent',handles.input.fig3,'Units','Centimeters','Position',...
    [0.2 2.8 8 2],'Title','Waves','BackGroundColor',[0.95 0.95 0.95],'SelectionChangeFcn',@changeALL);

handles.input.textbox07=uicontrol('Parent',h3,'Style','text','String','gamma','Units',...
    'Centimeters','Position',[0.3 0.45 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);

% 'gamma' button
handles.input.radio1=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[1.5 0.9 5 0.5],'String','0.4 (regular waves)','Enable','on','Value',1,'BackGroundColor',[0.95 0.95 0.95]); 

% 'gamma' button
handles.input.radio2=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[1.5 0.4 5 0.5],'String','0.8 (irregular waves)','Enable','on','Value',0,'BackGroundColor',[0.95 0.95 0.95]);

handles.input.gamma=get(handles.input.radio1,'value')*0.4+get(handles.input.radio2,'value')*0.8 ;

%% 'Viscosity' field
h4=uibuttongroup('Parent',handles.input.fig3,'Units','Centimeters','Position',...
    [0.2 0.3 8 2.3],'Title','Viscosity','BackGroundColor',[0.95 0.95 0.95],'SelectionChangeFcn',@changeALL);

handles.input.textbox07=uicontrol('Parent',h4,'Style','text','String','nu','Units',...
    'Centimeters','Position',[0.3 0.7 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);

% 'nu' button
handles.input.radio3=uicontrol('Parent',h4,'Style','Radio','Units','Centimeters',...
    'Position',[1.5 1.3 5 0.5],'String','0.000001787 (water of 0 deg.)','Value',1,'Enable','On','BackGroundColor',[0.95 0.95 0.95]);

% 'nu' button
handles.input.radio4=uicontrol('Parent',h4,'Style','Radio','Units','Centimeters',...
    'Position',[1.5 0.8 5 0.5],'String','0.000001300 (water of 10 deg.)','Value',0,'BackGroundColor',[0.95 0.95 0.95]);

% 'nu' button
handles.input.radio5=uicontrol('Parent',h4,'Style','Radio','Units','Centimeters',...
    'Position',[1.5 0.3 5 0.5],'String','0.000001000 (water of 20 deg.)','Value',0,'BackGroundColor',[0.95 0.95 0.95]);

handles.input.nu=get(handles.input.radio3,'value')*0.000001787+get(handles.input.radio4,'value')*0.00000130+get(handles.input.radio5,'value')*0.00000100 ;

%% Other buttons

% 'OK' button
handles.input.pushbutton2=uicontrol(handles.input.fig3,'style','pushbutton','Units','centimeters',...
    'Position',[9 1.5 2.2 0.6],'String','OK','CallBack',@ok_input_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'Cancel' button
handles.input.pushbutton1=uicontrol(handles.input.fig3,'style','pushbutton','Units','centimeters',...
    'Position',[9 0.5 2.2 0.6],'String','Cancel','callback',@cancel_input_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% Set handles to 'Userdata' property
set(swansed,'UserData',handles);

end
   





